New SG-4860: Pre-Installed Packages?



  • I'm in the process of setting up my new SG-4860 bought from Netgate.  I just looked at System>Package Manager>Installed Packages and found the following packages already installed:

    - AutoConfigBackup	sysutils	1.47	Automatically backs up your pfSense configuration. All contents are encrypted before being sent to the server.
    Requires Gold Subscription from pfSense Portal.			
    
    - aws-wizard	net	0.5_1	pfSense AWS VPC VPN Connection Wizard			
    
    - ipsec-profile-wizard	net	0.9_4	pfSense IPsec Profile Generation wizard for iOS devices		
    

    I understand the presence of AutoConfigBackup.  But, why are aws-wizard and ipsec-profile-wizard pre-installed?  From the documentation the package points me to, aws-wizard is specific to Amazon VPNs (unless I'm totally misreading this).  There doesn't seem to be any documentation for ipsec-profile-wizard, but from the title it seems specific to iOS devices.  Does the system need these for anything?  Why are they pre-installed?  Can I safely remove them.


  • Netgate Administrator

    They are supplied as part of the factory install.

    If you don't intend to connect to Amazon AWS or setup IPSec VPNs with Apple devices you can safely remove them. They will be available to re-install should you wish. Neither of those consume resources by being installed though.

    Steve


  • Galactic Empire

    ipsec-profile-wizard is that available as a package, I can't see it ?

    I'm running CE on my 4860.


  • Galactic Empire

    @NogBadTheBad:

    ipsec-profile-wizard is that available as a package, I can't see it ?

    I'm running CE on my 4860.

    Only available for factory installs. Is that RCC-VE 4860 or SG-4860 (purchased from pfSense store) ?


  • Galactic Empire

    @ivor:

    @NogBadTheBad:

    ipsec-profile-wizard is that available as a package, I can't see it ?

    I'm running CE on my 4860.

    Only available for factory installs. Is that RCC-VE 4860 or SG-4860 (purchased from pfSense store) ?

    Purchased 31/5/16 from Amica in the UK, they forgot to put the image on the MSATA SSD that was purchased at the same time, so I installed the CE version and never thought any more about it.


  • Galactic Empire

    @NogBadTheBad:

    @ivor:

    @NogBadTheBad:

    ipsec-profile-wizard is that available as a package, I can't see it ?

    I'm running CE on my 4860.

    Only available for factory installs. Is that RCC-VE 4860 or SG-4860 (purchased from pfSense store) ?

    Purchased 31/5/16 from Amica in the UK, they forgot to put the image on the MSATA SSD that was purchased at the same time, so I installed the CE version and never thought any more about it.

    We install those systems and then ship them to partners, it appears that the error is on our end. Sorry about that. Can you please send an email to support@netgate.com and link this thread? Then we can guide you on how to activate support and get access to portal.pfsense.org from where you can download factory images.

    Thanks!


  • Galactic Empire

    @ivor:

    @NogBadTheBad:

    @ivor:

    @NogBadTheBad:

    ipsec-profile-wizard is that available as a package, I can't see it ?

    I'm running CE on my 4860.

    Only available for factory installs. Is that RCC-VE 4860 or SG-4860 (purchased from pfSense store) ?

    Purchased 31/5/16 from Amica in the UK, they forgot to put the image on the MSATA SSD that was purchased at the same time, so I installed the CE version and never thought any more about it.

    We install those systems and then ship them to partners, it appears that the error is on our end. Sorry about that. Can you please send an email to support@netgate.com and link this thread? Then we can guide you on how to activate support and get access to portal.pfsense.org from where you can download factory images.

    Thanks!

    Thanks it's now sorted, just need to do the reinstall over the weekend. done, worked like a charm.


Log in to reply